Index: django/contrib/gis/gdal/tests/test_geom.py
===================================================================
--- django/contrib/gis/gdal/tests/test_geom.py	(revision 16529)
+++ django/contrib/gis/gdal/tests/test_geom.py	(working copy)
@@ -1,8 +1,14 @@
-from django.contrib.gis.gdal import OGRGeometry, OGRGeomType, \
-    OGRException, OGRIndexError, SpatialReference, CoordTransform, \
-    GDAL_VERSION
+from binascii import b2a_hex
+try:
+    import cPickle as pickle
+except ImportError:
+    import pickle
+
+from django.contrib.gis.gdal import (OGRGeometry, OGRGeomType, OGRException,
+    OGRIndexError, SpatialReference, CoordTransform, GDAL_VERSION)
+from django.contrib.gis.gdal.prototypes.geom import GEOJSON
+from django.contrib.gis.geometry.test_data import TestDataMixin
 from django.utils import unittest
-from django.contrib.gis.geometry.test_data import TestDataMixin
 
 class OGRGeomTest(unittest.TestCase, TestDataMixin):
     "This tests the OGR Geometry."
@@ -92,7 +98,6 @@
 
     def test01d_wkb(self):
         "Testing WKB input/output."
-        from binascii import b2a_hex
         for g in self.geometries.hex_wkt:
             geom1 = OGRGeometry(g.wkt)
             wkb = geom1.wkb
@@ -103,7 +108,6 @@
 
     def test01e_json(self):
         "Testing GeoJSON input/output."
-        from django.contrib.gis.gdal.prototypes.geom import GEOJSON
         if not GEOJSON: return
         for g in self.geometries.json_geoms:
             geom = OGRGeometry(g.wkt)
@@ -446,9 +450,8 @@
 
     def test17_pickle(self):
         "Testing pickle support."
-        import cPickle
         g1 = OGRGeometry('LINESTRING(1 1 1,2 2 2,3 3 3)', 'WGS84')
-        g2 = cPickle.loads(cPickle.dumps(g1))
+        g2 = pickle.loads(pickle.dumps(g1))
         self.assertEqual(g1, g2)
         self.assertEqual(4326, g2.srs.srid)
         self.assertEqual(g1.srs.wkt, g2.srs.wkt)
Index: django/contrib/gis/management/commands/inspectdb.py
===================================================================
--- django/contrib/gis/management/commands/inspectdb.py	(revision 16529)
+++ django/contrib/gis/management/commands/inspectdb.py	(working copy)
@@ -1,6 +1,3 @@
-from optparse import make_option
-
-from django.core.management.base import CommandError
 from django.core.management.commands.inspectdb import Command as InspectDBCommand
 
 class Command(InspectDBCommand):
Index: django/contrib/gis/management/commands/ogrinspect.py
===================================================================
--- django/contrib/gis/management/commands/ogrinspect.py	(revision 16529)
+++ django/contrib/gis/management/commands/ogrinspect.py	(working copy)
@@ -1,4 +1,4 @@
-import os, sys
+import os
 from optparse import make_option
 from django.contrib.gis import gdal
 from django.contrib.gis.management.base import ArgsCommand, CommandError
Index: django/contrib/gis/feeds.py
===================================================================
--- django/contrib/gis/feeds.py	(revision 16529)
+++ django/contrib/gis/feeds.py	(working copy)
@@ -1,4 +1,4 @@
-from django.contrib.syndication.feeds import Feed as BaseFeed, FeedDoesNotExist
+from django.contrib.syndication.feeds import Feed as BaseFeed
 from django.utils.feedgenerator import Atom1Feed, Rss201rev2Feed
 
 class GeoFeedMixin(object):
Index: django/contrib/formtools/wizard/tests/namedwizardtests/tests.py
===================================================================
--- django/contrib/formtools/wizard/tests/namedwizardtests/tests.py	(revision 16529)
+++ django/contrib/formtools/wizard/tests/namedwizardtests/tests.py	(working copy)
@@ -1,9 +1,6 @@
-import os
-
 from django.core.urlresolvers import reverse
 from django.http import QueryDict
 from django.test import TestCase
-from django.conf import settings
 
 from django.contrib.auth.models import User
 
Index: django/contrib/formtools/wizard/storage/session.py
===================================================================
--- django/contrib/formtools/wizard/storage/session.py	(revision 16529)
+++ django/contrib/formtools/wizard/storage/session.py	(working copy)
@@ -1,4 +1,3 @@
-from django.core.files.uploadedfile import UploadedFile
 from django.contrib.formtools.wizard import storage
 
 
Index: django/contrib/formtools/wizard/views.py
===================================================================
--- django/contrib/formtools/wizard/views.py	(revision 16529)
+++ django/contrib/formtools/wizard/views.py	(working copy)
@@ -1,4 +1,3 @@
-import copy
 import re
 
 from django import forms
Index: django/contrib/formtools/utils.py
===================================================================
--- django/contrib/formtools/utils.py	(revision 16529)
+++ django/contrib/formtools/utils.py	(working copy)
@@ -5,7 +5,6 @@
 
 import hashlib
 from django.conf import settings
-from django.forms import BooleanField
 from django.utils.crypto import salted_hmac
 
 
Index: django/contrib/formtools/preview.py
===================================================================
--- django/contrib/formtools/preview.py	(revision 16529)
+++ django/contrib/formtools/preview.py	(working copy)
@@ -2,12 +2,6 @@
 Formtools Preview application.
 """
 
-try:
-    import cPickle as pickle
-except ImportError:
-    import pickle
-
-from django.conf import settings
 from django.http import Http404
 from django.shortcuts import render_to_response
 from django.template.context import RequestContext
Index: django/contrib/sitemaps/views.py
===================================================================
--- django/contrib/sitemaps/views.py	(revision 16529)
+++ django/contrib/sitemaps/views.py	(working copy)
@@ -1,8 +1,7 @@
 from django.core import urlresolvers
 from django.core.paginator import EmptyPage, PageNotAnInteger
-from django.http import HttpResponse, Http404
+from django.http import Http404
 from django.template.response import TemplateResponse
-from django.utils.encoding import smart_str
 
 from django.contrib.sites.models import get_current_site
 
Index: django/contrib/sitemaps/__init__.py
===================================================================
--- django/contrib/sitemaps/__init__.py	(revision 16529)
+++ django/contrib/sitemaps/__init__.py	(working copy)
@@ -1,4 +1,4 @@
-from django.contrib.sites.models import Site, get_current_site
+from django.contrib.sites.models import Site
 from django.core import urlresolvers, paginator
 from django.core.exceptions import ImproperlyConfigured
 import urllib
Index: django/contrib/admin/templatetags/admin_list.py
===================================================================
--- django/contrib/admin/templatetags/admin_list.py	(revision 16529)
+++ django/contrib/admin/templatetags/admin_list.py	(working copy)
@@ -1,14 +1,12 @@
 import datetime
 
-from django.conf import settings
 from django.contrib.admin.util import lookup_field, display_for_field, label_for_field
 from django.contrib.admin.views.main import (ALL_VAR, EMPTY_CHANGELIST_VALUE,
-    ORDER_VAR, ORDER_TYPE_VAR, PAGE_VAR, SEARCH_VAR)
+    ORDER_VAR, PAGE_VAR, SEARCH_VAR)
 from django.core.exceptions import ObjectDoesNotExist
 from django.db import models
 from django.templatetags.static import static
 from django.utils import formats
-from django.utils.datastructures import SortedDict
 from django.utils.html import escape, conditional_escape
 from django.utils.safestring import mark_safe
 from django.utils.text import capfirst
Index: django/contrib/admin/views/main.py
===================================================================
--- django/contrib/admin/views/main.py	(revision 16529)
+++ django/contrib/admin/views/main.py	(working copy)
@@ -19,15 +19,13 @@
 # Changelist settings
 ALL_VAR = 'all'
 ORDER_VAR = 'o'
-ORDER_TYPE_VAR = 'ot'
 PAGE_VAR = 'p'
 SEARCH_VAR = 'q'
 TO_FIELD_VAR = 't'
 IS_POPUP_VAR = 'pop'
 ERROR_FLAG = 'e'
 
-IGNORED_PARAMS = (
-    ALL_VAR, ORDER_VAR, ORDER_TYPE_VAR, SEARCH_VAR, IS_POPUP_VAR, TO_FIELD_VAR)
+IGNORED_PARAMS = (ALL_VAR, ORDER_VAR, SEARCH_VAR, IS_POPUP_VAR, TO_FIELD_VAR)
 
 # Text to display within change-list table cells if the value is blank.
 EMPTY_CHANGELIST_VALUE = ugettext_lazy('(None)')
Index: django/contrib/admin/widgets.py
===================================================================
--- django/contrib/admin/widgets.py	(revision 16529)
+++ django/contrib/admin/widgets.py	(working copy)
@@ -4,7 +4,6 @@
 
 import copy
 from django import forms
-from django.conf import settings
 from django.core.urlresolvers import reverse, NoReverseMatch
 from django.forms.widgets import RadioFieldRenderer
 from django.forms.util import flatatt
Index: django/contrib/admindocs/views.py
===================================================================
--- django/contrib/admindocs/views.py	(revision 16529)
+++ django/contrib/admindocs/views.py	(working copy)
@@ -1,4 +1,8 @@
-from django import template, templatetags
+import inspect
+import os
+import re
+
+from django import template
 from django.template import RequestContext
 from django.conf import settings
 from django.contrib.admin.views.decorators import staff_member_required
@@ -12,7 +16,6 @@
 from django.utils.importlib import import_module
 from django.utils.translation import ugettext as _
 from django.utils.safestring import mark_safe
-import inspect, os, re
 
 # Exclude methods starting with these strings from documentation
 MODEL_METHODS_EXCLUDE = ('_', 'add_', 'delete', 'save', 'set_')
Index: django/contrib/auth/__init__.py
===================================================================
--- django/contrib/auth/__init__.py	(revision 16529)
+++ django/contrib/auth/__init__.py	(working copy)
@@ -1,4 +1,3 @@
-import datetime
 from warnings import warn
 from django.core.exceptions import ImproperlyConfigured
 from django.utils.importlib import import_module
Index: django/contrib/auth/backends.py
===================================================================
--- django/contrib/auth/backends.py	(revision 16529)
+++ django/contrib/auth/backends.py	(working copy)
@@ -1,4 +1,3 @@
-from django.db import connection
 from django.contrib.auth.models import User, Permission
 
 
Index: django/contrib/auth/tests/auth_backends.py
===================================================================
--- django/contrib/auth/tests/auth_backends.py	(revision 16529)
+++ django/contrib/auth/tests/auth_backends.py	(working copy)
@@ -1,5 +1,3 @@
-import warnings
-
 from django.conf import settings
 from django.contrib.auth.models import User, Group, Permission, AnonymousUser
 from django.contrib.contenttypes.models import ContentType
Index: django/contrib/auth/tests/tokens.py
===================================================================
--- django/contrib/auth/tests/tokens.py	(revision 16529)
+++ django/contrib/auth/tests/tokens.py	(working copy)
@@ -1,7 +1,7 @@
 from datetime import date, timedelta
 
 from django.conf import settings
-from django.contrib.auth.models import User, AnonymousUser
+from django.contrib.auth.models import User
 from django.contrib.auth.tokens import PasswordResetTokenGenerator
 from django.test import TestCase
 
Index: django/contrib/auth/tests/forms.py
===================================================================
--- django/contrib/auth/tests/forms.py	(revision 16529)
+++ django/contrib/auth/tests/forms.py	(working copy)
@@ -1,6 +1,5 @@
 from __future__ import with_statement
 import os
-from django.conf import settings
 from django.core import mail
 from django.contrib.auth.models import User
 from django.contrib.auth.forms import UserCreationForm, AuthenticationForm,  PasswordChangeForm, SetPasswordForm, UserChangeForm, PasswordResetForm
Index: django/contrib/auth/models.py
===================================================================
--- django/contrib/auth/models.py	(revision 16529)
+++ django/contrib/auth/models.py	(working copy)
@@ -10,9 +10,10 @@
 
 from django.contrib import auth
 from django.contrib.auth.signals import user_logged_in
+# UNUSABLE_PASSWORD is still imported here for backwards compatibility
 from django.contrib.auth.utils import (get_hexdigest, make_password,
-                                       check_password, is_password_usable,
-                                       get_random_string, UNUSABLE_PASSWORD)
+        check_password, is_password_usable, get_random_string,
+        UNUSABLE_PASSWORD)
 from django.contrib.contenttypes.models import ContentType
 
 def update_last_login(sender, user, **kwargs):
Index: django/contrib/auth/management/__init__.py
===================================================================
--- django/contrib/auth/management/__init__.py	(revision 16529)
+++ django/contrib/auth/management/__init__.py	(working copy)
@@ -102,8 +102,8 @@
     :returns: The username, or an empty string if no username can be
         determined.
     """
-    from django.contrib.auth.management.commands.createsuperuser import \
-        RE_VALID_USERNAME
+    from django.contrib.auth.management.commands.createsuperuser import (
+        RE_VALID_USERNAME)
     default_username = get_system_username()
     try:
         default_username = unicodedata.normalize('NFKD', default_username)\
Index: django/contrib/auth/forms.py
===================================================================
--- django/contrib/auth/forms.py	(revision 16529)
+++ django/contrib/auth/forms.py	(working copy)
@@ -1,10 +1,11 @@
 from django import forms
-from django.template import Context, loader
+from django.template import loader
 from django.utils.http import int_to_base36
 from django.utils.itercompat import any
 from django.utils.translation import ugettext_lazy as _
 
-from django.contrib.auth.models import User, UNUSABLE_PASSWORD
+from django.contrib.auth.models import User
+from django.contrib.auth.utils import UNUSABLE_PASSWORD
 from django.contrib.auth import authenticate
 from django.contrib.auth.tokens import default_token_generator
 from django.contrib.sites.models import get_current_site
Index: django/contrib/localflavor/kw/forms.py
===================================================================
--- django/contrib/localflavor/kw/forms.py	(revision 16529)
+++ django/contrib/localflavor/kw/forms.py	(working copy)
@@ -6,7 +6,7 @@
 
 from django.core.validators import EMPTY_VALUES
 from django.forms import ValidationError
-from django.forms.fields import Field, RegexField
+from django.forms.fields import Field
 from django.utils.translation import gettext as _
 
 id_re = re.compile(r'^(?P<initial>\d{1})(?P<yy>\d\d)(?P<mm>\d\d)(?P<dd>\d\d)(?P<mid>\d{4})(?P<checksum>\d{1})')
Index: django/contrib/localflavor/be/forms.py
===================================================================
--- django/contrib/localflavor/be/forms.py	(revision 16529)
+++ django/contrib/localflavor/be/forms.py	(working copy)
@@ -1,10 +1,6 @@
 """
 Belgium-specific Form helpers
 """
-import re
-
-from django.core.validators import EMPTY_VALUES
-from django.forms import ValidationError
 from django.forms.fields import RegexField, Select
 from django.utils.translation import ugettext_lazy as _
 
Index: django/contrib/localflavor/us/models.py
===================================================================
--- django/contrib/localflavor/us/models.py	(revision 16529)
+++ django/contrib/localflavor/us/models.py	(working copy)
@@ -1,4 +1,3 @@
-from django.conf import settings
 from django.utils.translation import ugettext_lazy as _
 from django.db.models.fields import CharField
 from django.contrib.localflavor.us.us_states import STATE_CHOICES
Index: django/contrib/localflavor/uy/forms.py
===================================================================
--- django/contrib/localflavor/uy/forms.py	(revision 16529)
+++ django/contrib/localflavor/uy/forms.py	(working copy)
@@ -2,8 +2,6 @@
 """
 UY-specific form helpers.
 """
-import re
-
 from django.core.validators import EMPTY_VALUES
 from django.forms.fields import Select, RegexField
 from django.forms import ValidationError
Index: django/contrib/localflavor/jp/forms.py
===================================================================
--- django/contrib/localflavor/jp/forms.py	(revision 16529)
+++ django/contrib/localflavor/jp/forms.py	(working copy)
@@ -2,7 +2,6 @@
 JP-specific Form helpers
 """
 
-from django.forms import ValidationError
 from django.utils.translation import ugettext_lazy as _
 from django.forms.fields import RegexField, Select
 
Index: django/contrib/localflavor/no/forms.py
===================================================================
--- django/contrib/localflavor/no/forms.py	(revision 16529)
+++ django/contrib/localflavor/no/forms.py	(working copy)
@@ -2,7 +2,8 @@
 Norwegian-specific Form helpers
 """
 
-import re, datetime
+import re
+import datetime
 from django.core.validators import EMPTY_VALUES
 from django.forms import ValidationError
 from django.forms.fields import Field, RegexField, Select
Index: django/contrib/localflavor/ro/forms.py
===================================================================
--- django/contrib/localflavor/ro/forms.py	(revision 16529)
+++ django/contrib/localflavor/ro/forms.py	(working copy)
@@ -2,9 +2,6 @@
 """
 Romanian specific form helpers.
 """
-
-import re
-
 from django.core.validators import EMPTY_VALUES
 from django.forms import ValidationError, Field, RegexField, Select
 from django.utils.translation import ugettext_lazy as _
Index: django/contrib/localflavor/pt/forms.py
===================================================================
--- django/contrib/localflavor/pt/forms.py	(revision 16529)
+++ django/contrib/localflavor/pt/forms.py	(working copy)
@@ -1,13 +1,13 @@
 """
 PT-specific Form helpers
 """
+import re
 
 from django.core.validators import EMPTY_VALUES
 from django.forms import ValidationError
-from django.forms.fields import Field, RegexField, Select
+from django.forms.fields import Field, RegexField
 from django.utils.encoding import smart_unicode
 from django.utils.translation import ugettext_lazy as _
-import re
 
 phone_digits_re = re.compile(r'^(\d{9}|(00|\+)\d*)$')
 
Index: django/contrib/localflavor/ru/forms.py
===================================================================
--- django/contrib/localflavor/ru/forms.py	(revision 16529)
+++ django/contrib/localflavor/ru/forms.py	(working copy)
@@ -3,9 +3,7 @@
 """
 import re
 
-from django.core.validators import EMPTY_VALUES
-from django.forms import ValidationError
-from django.forms.fields import CharField, Select, RegexField
+from django.forms.fields import RegexField, Select
 from django.utils.translation import ugettext_lazy as _
 
 phone_digits_re = re.compile(r'^(?:[78]-?)?(\d{3})[-\.]?(\d{3})[-\.]?(\d{4})$')
Index: django/contrib/localflavor/ar/forms.py
===================================================================
--- django/contrib/localflavor/ar/forms.py	(revision 16529)
+++ django/contrib/localflavor/ar/forms.py	(working copy)
@@ -6,7 +6,6 @@
 from django.forms import ValidationError
 from django.core.validators import EMPTY_VALUES
 from django.forms.fields import RegexField, CharField, Select
-from django.utils.encoding import smart_unicode
 from django.utils.translation import ugettext_lazy as _
 
 class ARProvinceSelect(Select):
Index: django/contrib/localflavor/au/models.py
===================================================================
--- django/contrib/localflavor/au/models.py	(revision 16529)
+++ django/contrib/localflavor/au/models.py	(working copy)
@@ -1,4 +1,3 @@
-from django.conf import settings
 from django.utils.translation import ugettext_lazy as _
 from django.db.models.fields import CharField
 
Index: django/contrib/localflavor/se/utils.py
===================================================================
--- django/contrib/localflavor/se/utils.py	(revision 16529)
+++ django/contrib/localflavor/se/utils.py	(working copy)
@@ -1,4 +1,3 @@
-import re
 import datetime
 
 def id_number_checksum(gd):
Index: django/contrib/sessions/backends/base.py
===================================================================
--- django/contrib/sessions/backends/base.py	(revision 16529)
+++ django/contrib/sessions/backends/base.py	(working copy)
@@ -2,7 +2,6 @@
 import hashlib
 import os
 import random
-import sys
 import time
 from datetime import datetime, timedelta
 try:
Index: django/contrib/sessions/backends/db.py
===================================================================
--- django/contrib/sessions/backends/db.py	(revision 16529)
+++ django/contrib/sessions/backends/db.py	(working copy)
@@ -1,5 +1,4 @@
 import datetime
-from django.conf import settings
 from django.contrib.sessions.backends.base import SessionBase, CreateError
 from django.core.exceptions import SuspiciousOperation
 from django.db import IntegrityError, transaction, router
Index: django/contrib/sessions/models.py
===================================================================
--- django/contrib/sessions/models.py	(revision 16529)
+++ django/contrib/sessions/models.py	(working copy)
@@ -1,6 +1,3 @@
-import base64
-import cPickle as pickle
-
 from django.db import models
 from django.utils.translation import ugettext_lazy as _
 
Index: django/contrib/messages/api.py
===================================================================
--- django/contrib/messages/api.py	(revision 16529)
+++ django/contrib/messages/api.py	(working copy)
@@ -1,6 +1,5 @@
 from django.contrib.messages import constants
 from django.contrib.messages.storage import default_storage
-from django.utils.functional import lazy, memoize
 
 __all__ = (
     'add_message', 'get_messages',
Index: django/contrib/messages/tests/cookie.py
===================================================================
--- django/contrib/messages/tests/cookie.py	(revision 16529)
+++ django/contrib/messages/tests/cookie.py	(working copy)
@@ -1,7 +1,7 @@
 from django.contrib.messages import constants
 from django.contrib.messages.tests.base import BaseTest
-from django.contrib.messages.storage.cookie import CookieStorage, \
-                                            MessageEncoder, MessageDecoder
+from django.contrib.messages.storage.cookie import (CookieStorage,
+    MessageEncoder, MessageDecoder)
 from django.contrib.messages.storage.base import Message
 from django.utils import simplejson as json
 from django.conf import settings
Index: django/contrib/messages/tests/base.py
===================================================================
--- django/contrib/messages/tests/base.py	(revision 16529)
+++ django/contrib/messages/tests/base.py	(working copy)
@@ -1,5 +1,3 @@
-import warnings
-
 from django import http
 from django.test import TestCase
 from django.conf import settings
Index: django/contrib/messages/tests/fallback.py
===================================================================
--- django/contrib/messages/tests/fallback.py	(revision 16529)
+++ django/contrib/messages/tests/fallback.py	(working copy)
@@ -1,11 +1,11 @@
 from django.contrib.messages import constants
-from django.contrib.messages.storage.fallback import FallbackStorage, \
-    CookieStorage
+from django.contrib.messages.storage.fallback import (FallbackStorage,
+    CookieStorage)
 from django.contrib.messages.tests.base import BaseTest
-from django.contrib.messages.tests.cookie import set_cookie_data, \
-    stored_cookie_messages_count
-from django.contrib.messages.tests.session import set_session_data, \
-    stored_session_messages_count
+from django.contrib.messages.tests.cookie import (set_cookie_data,
+    stored_cookie_messages_count)
+from django.contrib.messages.tests.session import (set_session_data,
+    stored_session_messages_count)
 
 
 class FallbackTest(BaseTest):
Index: django/contrib/messages/tests/urls.py
===================================================================
--- django/contrib/messages/tests/urls.py	(revision 16529)
+++ django/contrib/messages/tests/urls.py	(working copy)
@@ -2,7 +2,6 @@
 from django.contrib import messages
 from django.core.urlresolvers import reverse
 from django.http import HttpResponseRedirect, HttpResponse
-from django.shortcuts import render_to_response, redirect
 from django.template import RequestContext, Template
 from django.template.response import TemplateResponse
 from django.views.decorators.cache import never_cache
Index: django/contrib/messages/storage/cookie.py
===================================================================
--- django/contrib/messages/storage/cookie.py	(revision 16529)
+++ django/contrib/messages/storage/cookie.py	(working copy)
@@ -1,5 +1,4 @@
 from django.conf import settings
-from django.contrib.messages import constants
 from django.contrib.messages.storage.base import BaseStorage, Message
 from django.http import SimpleCookie
 from django.utils import simplejson as json
Index: django/bin/profiling/gather_profile_stats.py
===================================================================
--- django/bin/profiling/gather_profile_stats.py	(revision 16529)
+++ django/bin/profiling/gather_profile_stats.py	(working copy)
@@ -8,8 +8,9 @@
 """
 
 from hotshot import stats
+import os
 import pstats
-import sys, os
+import sys
 
 def gather_stats(p):
     profiles = {}
Index: django/middleware/http.py
===================================================================
--- django/middleware/http.py	(revision 16529)
+++ django/middleware/http.py	(working copy)
@@ -1,4 +1,3 @@
-from django.core.exceptions import MiddlewareNotUsed
 from django.utils.http import http_date, parse_http_date_safe
 
 class ConditionalGetMiddleware(object):
Index: tests/modeltests/field_subclassing/models.py
===================================================================
--- tests/modeltests/field_subclassing/models.py	(revision 16529)
+++ tests/modeltests/field_subclassing/models.py	(working copy)
@@ -5,7 +5,7 @@
 from django.db import models
 from django.utils.encoding import force_unicode
 
-from fields import Small, SmallField, SmallerField, JSONField
+from fields import SmallField, SmallerField, JSONField
 
 
 class MyModel(models.Model):
Index: tests/modeltests/field_subclassing/fields.py
===================================================================
--- tests/modeltests/field_subclassing/fields.py	(revision 16529)
+++ tests/modeltests/field_subclassing/fields.py	(working copy)
@@ -1,4 +1,3 @@
-from django.core.exceptions import FieldError
 from django.db import models
 from django.utils import simplejson as json
 from django.utils.encoding import force_unicode
Index: tests/modeltests/proxy_models/models.py
===================================================================
--- tests/modeltests/proxy_models/models.py	(revision 16529)
+++ tests/modeltests/proxy_models/models.py	(working copy)
@@ -5,7 +5,6 @@
 providing a modified interface to the data from the base class.
 """
 
-from django.contrib.contenttypes.models import ContentType
 from django.db import models
 
 
Index: tests/modeltests/mutually_referential/tests.py
===================================================================
--- tests/modeltests/mutually_referential/tests.py	(revision 16529)
+++ tests/modeltests/mutually_referential/tests.py	(working copy)
@@ -1,5 +1,5 @@
 from django.test import TestCase
-from models import Parent, Child
+from models import Parent
 
 class MutuallyReferentialTests(TestCase):
 
Index: tests/modeltests/files/tests.py
===================================================================
--- tests/modeltests/files/tests.py	(revision 16529)
+++ tests/modeltests/files/tests.py	(working copy)
@@ -1,7 +1,6 @@
 from __future__ import with_statement
 
 import shutil
-import sys
 import tempfile
 
 from django.core.cache import cache
Index: tests/modeltests/files/models.py
===================================================================
--- tests/modeltests/files/models.py	(revision 16529)
+++ tests/modeltests/files/models.py	(working copy)
@@ -9,7 +9,6 @@
 import tempfile
 
 from django.db import models
-from django.core.files.base import ContentFile
 from django.core.files.storage import FileSystemStorage
 
 
Index: tests/modeltests/get_or_create/models.py
===================================================================
--- tests/modeltests/get_or_create/models.py	(revision 16529)
+++ tests/modeltests/get_or_create/models.py	(working copy)
@@ -6,7 +6,7 @@
 parameters.
 """
 
-from django.db import models, IntegrityError
+from django.db import models
 
 class Person(models.Model):
     first_name = models.CharField(max_length=100)
Index: tests/modeltests/unmanaged_models/tests.py
===================================================================
--- tests/modeltests/unmanaged_models/tests.py	(revision 16529)
+++ tests/modeltests/unmanaged_models/tests.py	(working copy)
@@ -1,7 +1,6 @@
 from django.test import TestCase
 from django.db import connection
-from models import Unmanaged1, Unmanaged2, Managed1
-from models import A01, A02, B01, B02, C01, C02
+from models import A01, A02, B01, B02, C01, C02, Unmanaged2, Managed1
 
 class SimpleTests(TestCase):
 
Index: tests/modeltests/custom_pk/tests.py
===================================================================
--- tests/modeltests/custom_pk/tests.py	(revision 16529)
+++ tests/modeltests/custom_pk/tests.py	(working copy)
@@ -1,6 +1,5 @@
 # -*- coding: utf-8 -*-
-from django.conf import settings
-from django.db import DEFAULT_DB_ALIAS, transaction, IntegrityError
+from django.db import transaction, IntegrityError
 from django.test import TestCase, skipIfDBFeature
 
 from models import Employee, Business, Bar, Foo
Index: tests/modeltests/custom_pk/models.py
===================================================================
--- tests/modeltests/custom_pk/models.py	(revision 16529)
+++ tests/modeltests/custom_pk/models.py	(working copy)
@@ -6,8 +6,7 @@
 this behavior by explicitly adding ``primary_key=True`` to a field.
 """
 
-from django.conf import settings
-from django.db import models, transaction, IntegrityError, DEFAULT_DB_ALIAS
+from django.db import models
 
 from fields import MyAutoField
 
Index: tests/modeltests/lookup/tests.py
===================================================================
--- tests/modeltests/lookup/tests.py	(revision 16529)
+++ tests/modeltests/lookup/tests.py	(working copy)
@@ -1,7 +1,6 @@
 from datetime import datetime
 from operator import attrgetter
 from django.core.exceptions import FieldError
-from django.db import connection
 from django.test import TestCase, skipUnlessDBFeature
 from models import Author, Article, Tag
 
Index: tests/modeltests/lookup/models.py
===================================================================
--- tests/modeltests/lookup/models.py	(revision 16529)
+++ tests/modeltests/lookup/models.py	(working copy)
@@ -4,8 +4,7 @@
 This demonstrates features of the database API.
 """
 
-from django.db import models, DEFAULT_DB_ALIAS, connection
-from django.conf import settings
+from django.db import models
 
 class Author(models.Model):
     name = models.CharField(max_length=100)
Index: tests/modeltests/proxy_model_inheritance/tests.py
===================================================================
--- tests/modeltests/proxy_model_inheritance/tests.py	(revision 16529)
+++ tests/modeltests/proxy_model_inheritance/tests.py	(working copy)
@@ -9,7 +9,7 @@
 import os
 import sys
 
-from django.conf import settings, Settings
+from django.conf import settings
 from django.core.management import call_command
 from django.db.models.loading import load_app
 from django.test import TransactionTestCase
Index: tests/modeltests/get_object_or_404/models.py
===================================================================
--- tests/modeltests/get_object_or_404/models.py	(revision 16529)
+++ tests/modeltests/get_object_or_404/models.py	(working copy)
@@ -11,8 +11,6 @@
 """
 
 from django.db import models
-from django.http import Http404
-from django.shortcuts import get_object_or_404, get_list_or_404
 
 class Author(models.Model):
     name = models.CharField(max_length=50)
